Subject: Re: [PATCH 01/22] powerpc: convert idle_loop to use hard_irq_disable()

From: Arnd Bergmann <[email-masked]>
Date: Tue, 21 Nov 2006 11:14:45 +0100

On Tuesday 21 November 2006 01:53, Benjamin Herrenschmidt wrote:
> +
> +       /*
> +        * We need to hard disable interrupts, but we also need to mark them
> +        * hard disabled in the PACA so that the local_irq_enable() done by
> +        * our caller upon return propertly hard enables.
> +        */
> +       hard_irq_disable();
> +       get_paca()->hard_enabled = 0;
> +

Yes, this looks good. Paul, please use this patch instead of mine.
Do we need to do the same thing for any of the other power_save functions?
IIRC, all new CPUs are supposed to use the same mechanism based on the
0x100 vector.

	Arnd <><